インストールしているプラグイン・・・からインストールパッケージをダウンロードしています… パッケージを展開しています… ディレクトリを作成できませんでした。

0

インストールしているプラグイン
・・・からインストールパッケージをダウンロードしています…
パッケージを展開しています…
ディレクトリを作成できませんでした。

WordPressの初期にいろいろ出て困ることがあります。次はこのエラーに遭遇したときの対処法です。
このサイトでUbuntuでインストールした場合は、ファイル、ディレクトリの所有ユーザーが違うユーザーになっている可能性があります。
WordPressのインストールされているディレクトリをWebサーバーを実行しているユーザー(通常はwww-data)に変更する必要があります。

chown -R www-data:www-data *

これで通常通りインストールできるはずです。
もし違う方法でインストールしていて、所有ユーザーが問題ない場合(このケースの方が多いかもしれません)はディレクトリの書き込み権限の問題があります。
下記のディレクトリの権限を書き込み可能に変更します。

wordpress(ワードプレスのルート)/wp-content/themes
wordpress(ワードプレスのルート)/wp-content/plugins
通常はないのですが、下記のディレクトリがある場合は下記も書き込み可能にします。
wordpress(ワードプレスのルート)/wp-content/upgrade

それぞれ

chmod 777 wordpress(ワードプレスのルート)/wp-content/themes
chmod 777 wordpress(ワードプレスのルート)/wp-content/plugins

で書き込み権限が変更されます。

これで、再度プラグインのインストールを実行してみましょう。

Share.

About Author

Leave A Reply